S
docs.syncra.money
Диспуты
POST/api/v1/p2p/merchant/appealsСтейдж

Открывает диспут по конкретной сделке. Мерчант может приложить файлы-доказательства (по их UUID).

Authorization

MerchantToken MerchantSignature MerchantTimestamp
X-Merchant-Token<token>

Публичный токен мерчанта (64 hex-символа), выдаётся при онбординге.

In: header

X-Signature<token>

Подпись HMAC-SHA256 (единая схема для всех эндпоинтов). Формат: t=<unix_seconds>,v1=<hex_hmac_sha256> где hex_hmac = HMAC-SHA256(webhook_secret, "<unix_seconds>.<raw_body>"). Окно replay: 5 минут (допускается дрейф 60 секунд в будущее).

In: header

X-Timestamp<token>

Unix-время отправки запроса в секундах. Окно подписи: 5 минут назад / 60 секунд вперёд.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/api/v1/p2p/merchant/appeals" \  -H "X-Merchant-Token: <MERCHANT_TOKEN>" \  -H "X-Timestamp: <UNIX_TIMESTAMP>" \  -H "X-Signature: t=<UNIX_TIMESTAMP>,v1=<HEX_HMAC_SHA256>" \  -H "Content-Type: application/json" \  -d '{    "deal_id": "2fa5b64f-5b72-4263-958e-07b76f41abe3",    "reason": "Funds not credited within 30 minutes"  }'
{  "appeal": {    "appeal_id": "c1d2e3f4-5678-90ab-cdef-1234567890ab",    "deal_id": "7ac148fe-1234-5678-9abc-def012345678",    "status": "OPEN",    "reason": "Funds not credited within 30 minutes",    "resolution_note": "",    "created_at": "2026-08-10T12:45:00Z",    "resolved_at": "",    "updated_at": "2026-08-10T12:45:00Z"  }}
{  "type": "../dictionary",  "title": "string",  "status": 0,  "detail": "string",  "instance": "../dictionary",  "errors": [    {      "field": "amount",      "message": "must be greater than 0",      "code": "POSITIVE_REQUIRED"    }  ]}
{  "type": "../dictionary",  "title": "string",  "status": 0,  "detail": "string",  "instance": "../dictionary",  "errors": [    {      "field": "amount",      "message": "must be greater than 0",      "code": "POSITIVE_REQUIRED"    }  ]}
{  "type": "../dictionary",  "title": "string",  "status": 0,  "detail": "string",  "instance": "../dictionary",  "errors": [    {      "field": "amount",      "message": "must be greater than 0",      "code": "POSITIVE_REQUIRED"    }  ]}